Package org.gradle.api.plugins

## Class WarPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.WarPluginConvention

-     public abstract class WarPluginConvention
      extends Object

  A `Convention` used for the WarPlugin.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WarPluginConvention()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Project` | `getProject()` |
    `abstract File` | `getWebAppDir()` | Returns the web application directory.
    `abstract String` | `getWebAppDirName()` | The name of the web application directory, relative to the project directory.
    `abstract void` | `setWebAppDirName​(String webAppDirName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WarPluginConvention

          public WarPluginConvention()

  - ### Method Detail

    - #### getWebAppDir

          public abstract File getWebAppDir()

      Returns the web application directory.

    - #### getWebAppDirName

          public abstract String getWebAppDirName()

      The name of the web application directory, relative to the project directory.

    - #### setWebAppDirName

          public abstract void setWebAppDirName​(String webAppDirName)

    - #### getProject

          public abstract Project getProject()